import httpx


class TestLib:
    def __init__(self):
        self.value = 0
        self.text = "mystring"

    def print(self):
        print(self.value)

    def set_text(self, newtext: str) -> None:
        self.text = newtext

    def get_uppercase(self) -> str:
        """
        Return self.text in uppercase
        :return: uppercased text
        """
        return self.text.upper()

    @staticmethod
    def call_url(url: str) -> httpx.Response:
        """
        Calls an URL and return response
        :param url: URL to query
        :return: HTTPX response
        """
        return httpx.get(url)
